Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1

SUJET :

Erreur lors installation par script il y a 6 mois 3 jours #5714

  • Thyami
  • Portrait de Thyami Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK2
  • COM_KUNENA_SAMPLEDATA_RANK2
  • Messages : 20
  • Remerciements reçus 2
Bonjour,
Soit une VM Ubuntu 22.04 (hebergée sur ma freebox delta)
Je fais uniquement les mises à jour de base (update et upgrade)
J'ai téléchargé le script puis décompressé dans le dossier Diacama.
J'ai donné les droits d'execution au script et je l'ai lancé (une fois en utilisateur basic et une fois en sudo mais toujours les mêmes erreurs).

Lors de l'installation, j'ai des erreurs :
======================================

install Diacamma

Requirement already satisfied: pip in ./virtual_for_lucterios/lib/python3.10/site-packages (23.3.1)
WARNING: Skipping PIL as it is not installed.
WARNING: Skipping Pillow as it is not installed.
Collecting lucterios
Using cached lucterios-2.6.13.23102409-py3-none-any.whl.metadata (1.5 kB)
Collecting lucterios-standard
==================================

puis plus bas :
====================================
Collecting pyqt5~=5.15 (from lucterios)
Using cached PyQt5-5.15.10.tar.gz (3.2 MB)
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing metadata (pyproject.toml) ... error
error: subprocess-exited-with-error

× Preparing metadata (pyproject.toml) did not run successfully.
│ exit code: 1
╰─> [22 lines of output]
Traceback (most recent call last):
File "/var/lucterios2/virtual_for_lucterios/lib/python3.10/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 353, in <module>
main()
File "/var/lucterios2/virtual_for_lucterios/lib/python3.10/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 335, in main
json_out = hook(**hook_input)
File "/var/lucterios2/virtual_for_lucterios/lib/python3.10/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 152, in prepare_metadata_for_build_wheel
whl_basename = backend.build_wheel(metadata_directory, config_settings)
File "/tmp/pip-build-env-1zzvr1zy/overlay/lib/python3.10/site-packages/sipbuild/api.py", line 46, in build_wheel
project = AbstractProject.bootstrap('wheel',
File "/tmp/pip-build-env-1zzvr1zy/overlay/lib/python3.10/site-packages/sipbuild/abstract_project.py", line 87, in bootstrap
project.setup(pyproject, tool, tool_description)
File "/tmp/pip-build-env-1zzvr1zy/overlay/lib/python3.10/site-packages/sipbuild/project.py", line 586, in setup
self.apply_user_defaults(tool)
File "/tmp/pip-install-8q_mpc7g/pyqt5_709e39b3d9da45daa7d79ca0bc8451ec/project.py", line 68, in apply_user_defaults
super().apply_user_defaults(tool)
File "/tmp/pip-build-env-1zzvr1zy/overlay/lib/python3.10/site-packages/pyqtbuild/project.py", line 70, in apply_user_defaults
super().apply_user_defaults(tool)
File "/tmp/pip-build-env-1zzvr1zy/overlay/lib/python3.10/site-packages/sipbuild/project.py", line 237, in apply_user_defaults
self.builder.apply_user_defaults(tool)
File "/tmp/pip-build-env-1zzvr1zy/overlay/lib/python3.10/site-packages/pyqtbuild/builder.py", line 69, in apply_user_defaults
raise PyProjectOptionException('qmake',
sipbuild.pyproject.PyProjectOptionException
[end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.
================================

Une idée pour résoudre ce soucis ?

Merci de votre aide.

Bonne soirée

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Erreur lors installation par script il y a 5 mois 3 semaines #5718

  • lag
  • Portrait de lag
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • Messages : 2003
  • Karma: 8
  • Remerciements reçus 503
Bonjour,

Sur quelle environement tourne votre Ubuntu 22.04 ? sur PC 86x64 ou sur Rasberry ?
Un autre utilisateur a eu le souci sur Rasberry : anomalie installation diacamma , c'est peut-être lié.

Sinon, il manque peut-être une dépendance propre à cette distribution (je fais mes tests sous debian).
Essayez de voir pour ajouter les packets Ubuntu de compilation.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Principale contributeur (Développeur) à Diacamma
Administrateur de Sleto partenaire officiel de Diacamma : support et hébergement en ligne.
Dernière édition: par lag.

Erreur lors installation par script il y a 5 mois 3 semaines #5723

  • Thyami
  • Portrait de Thyami Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK2
  • COM_KUNENA_SAMPLEDATA_RANK2
  • Messages : 20
  • Remerciements reçus 2
Bonjour,
J'ai suivi le tuto indiqué.
J'ai commencé par installer les paquets et effectivement, il m'en manquais.
Ne réussissant pas l'installation à partir de la création de la DB, j'ai relancé le script d'installation.
Maintenant l'erreur n'est plus la même. J'ai un dépassement de pile qui crash l'install.

================================================================
install Diacamma

Requirement already satisfied: pip in ./virtual_for_lucterios/lib/python3.10/site-packages (23.3.1)
WARNING: Skipping PIL as it is not installed.
WARNING: Skipping Pillow as it is not installed.
Collecting lucterios
Using cached lucterios-2.6.13.23102409-py3-none-any.whl.metadata (1.5 kB)
Collecting lucterios-standard
Using cached lucterios_standard-2.6.0.23071114-py3-none-any.whl.metadata (1.2 kB)
Collecting lucterios-contacts
Using cached lucterios_contacts-2.6.9.23082509-py3-none-any.whl.metadata (1.2 kB)
Collecting lucterios-documents
Using cached lucterios_documents-2.6.6.23072015-py3-none-any.whl.metadata (1.2 kB)
Collecting diacamma-asso
Using cached diacamma_asso-2.6.13.23102415-py3-none-any.whl.metadata (1.2 kB)
Collecting diacamma-syndic
Using cached diacamma_syndic-2.6.13.23102415-py3-none-any.whl.metadata (1.2 kB)
Collecting diacamma-financial
Using cached diacamma_financial-2.6.14.23102415-py3-none-any.whl.metadata (1.3 kB)
Requirement already satisfied: pip in ./virtual_for_lucterios/lib/python3.10/site-packages (from lucterios) (23.3.1)
Collecting importlib-metadata (from lucterios)
Using cached importlib_metadata-6.8.0-py3-none-any.whl.metadata (5.1 kB)
Collecting Django~=3.2 (from lucterios)
Using cached Django-3.2.23-py3-none-any.whl.metadata (4.1 kB)
Collecting django-fsm~=2.8 (from lucterios)
Using cached django_fsm-2.8.1-py2.py3-none-any.whl (11 kB)
Collecting lxml~=4.9 (from lucterios)
Using cached lxml-4.9.3-cp310-cp310-manylinux_2_28_aarch64.whl.metadata (3.8 kB)
Collecting Pillow~=9.5 (from lucterios)
Using cached Pillow-9.5.0-cp310-cp310-manylinux_2_28_aarch64.whl (3.2 MB)
Collecting reportlab~=4.0 (from lucterios)
Using cached reportlab-4.0.7-py3-none-any.whl.metadata (1.3 kB)
Collecting APScheduler~=3.10 (from lucterios)
Using cached APScheduler-3.10.4-py3-none-any.whl.metadata (5.7 kB)
Collecting Babel~=2.12 (from lucterios)
Using cached Babel-2.13.1-py3-none-any.whl.metadata (1.6 kB)
Collecting pyqt5~=5.15 (from lucterios)
Using cached PyQt5-5.15.10.tar.gz (3.2 MB)
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing metadata (pyproject.toml) ... \./install.sh: line 116: 1574 Killed pip install -U $PIP_OPTION $PACKAGES

J'avance sans atteindre le graal.
Merci pour l'aide.

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

  • Page :
  • 1
Temps de génération de la page : 0.080 secondes
Propulsé par Kunena

Qui sommes nous?

Le sanglier du Libre

Association éditant le logiciel Diacamma
12 rue Marius Charles
38420 Domène
France

Partenaire

SLETO

Si vous recherchez du support ou une solution d'hébergement pour Diacamma, faite confiance à SLETO, notre partenaire officiel